al_identify_video_f(3)

NAME

al_identify_video_f - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_video.h>
    char const *al_identify_video_f(ALLEGRO_FILE *fp)

DESCRIPTION

Tries to guess the video file type of the open ALLEGRO_FILE by reading the first few bytes. By default Allegro cannot recognize any file types, but calling al_init_video_addon(3) will add detection of the types it can read.

Returns a pointer to a static string with a file extension for the type, including the leading dot. For example “.ogv”. Returns NULL if the video type cannot be determined.

SINCE

5.2.8

SEE ALSO

al_init_video_addon(3), al_identify_video(3)